Subject: Re: bug#44574: guix weather not checking all substitute urls

From: zimoun <[email-masked]>
Date: Tue, 17 Nov 2020 17:01:13 +0100

Hi,

On Mon, 16 Nov 2020 at 22:49, Efraim Flashner <[email-masked]> wrote:

>> >> > I would have assumed that it would check for all of the substitute urls
>> >> > I listed and not just the first one. Most of the packages listed below
>> >> > I've test built on my pine64 so they shouldn't appear in the list
>> >> > anymore.
>> >> 
>> >> I think #44688 [1] fixes it.  Please let me know.
>> >> 
>> >> 1: <http://issues.guix.gnu.org/issue/44688>

> Lets merge 44688 anyway, it does address something that's lacking.

Ludo, does #44688 go to version-1.2.0 or master?  It is simple patch
that fixes:

  guix weather \
       --substitute-urls=“https://bayfront.guix.gnu.org https://ci.guix.gnu.org”

where the current behaviour process only one server.

Cheers,
simon